Bug 537184 - Doc - State that non-Satellite usage is not supported on Satellite's OS
Summary: Doc - State that non-Satellite usage is not supported on Satellite's OS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Installation Guide
Version: 530
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: John Ha
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: sat531-docs2 537186
TreeView+ depends on / blocked
 
Reported: 2009-11-12 18:25 UTC by Clifford Perry
Modified: 2018-10-27 15:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 536918
: 537186 (view as bug list)
Environment:
Last Closed: 2010-05-17 12:52:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0413 normal SHIPPED_LIVE Red Hat Network Satellite bug fix update 2010-05-17 12:50:51 UTC

Description Clifford Perry 2009-11-12 18:25:56 UTC
+++ This bug was initially created as a clone of Bug #536918 +++

--- Additional comment from taw@redhat.com on 2009-11-11 14:39:05 EDT ---

Non-issue. Satellite must own this box and httpd. You don't share apache on the Satellite. It owns it. That is one reason why a full OS subscription is included with the price of RHN Satellite.

This bug will generate a docs bug in order to be explicit about this.

-todd warner, PM RHN Satellite

-----------------------------

During a recent RFE request asking for Satellite installer to be modified to not over write the apache configuration files we determined the need for clarification to be added to our documentation. 

When you purchase Satellite or RHN Proxy, the price includes subscription to a regular 24/7 support & RHEL 5 Server OS instance. In otherwords, we provide you with a fully supported OS instance for which we expect *only* Satellite or RHN Proxy to be installed and running on that OS instance. Using the OS for non-Satellite or non-Proxy related services (such as say a Samba server, Print Server, generic HTTP (via apache) services, or FTP) would not be supported on the OS instance running our Satellite or RHN Proxy services. We need to correctly state this within our installation documentation for Satellite & RHN Proxy. 

A suggested text, which could go at 2.1. Software Requirements is:

NOTE:
The RHN Satellite product when purchased includes one paid for and supported instance of Red Hat Enterprise Linux Server. Satellite must be installed onto a fresh installation of Enterprise Linux where Satellite is the only application and service provided by the OS. Using the RHN Satellite's Enterprise Linux OS instance for other daemons/applications/services within your environment is not supported. 


Cliff.

Comment 1 John Ha 2009-11-18 17:17:42 UTC
Added the following to the 5.3.1 version of the Satellite Installation Guide in
section 2.1 "Software Requirements". Let me know if the following is okay:


Note
Each purchased RHN Satellite product includes one supported instance of Red Hat
Enterprise Linux Server. RHN Satellite must be installed on a fresh installation of Enterprise Linux where RHN Satellite is the only application and service provided by the OS. Using the Red Hat Enterprise Linux OS included with RHN Satellite to run other daemons, applications, or services within your environment is not supported.

Comment 3 Brandon Perkins 2010-03-06 06:02:05 UTC
Verified.  Checked on:

https://rlx-3-14.rhndev.redhat.com/rhn/help//satellite/en-US/ch-requirements.jsp#s1-requirements-software

the text reads:

Note
Each purchased RHN Satellite product includes one supported instance of Red Hat Enterprise Linux Server. RHN Satellite must be installed on a fresh installation of Enterprise Linux where RHN Satellite is the only application and service provided by the OS. Using the Red Hat Enterprise Linux OS included with RHN Satellite to run other daemons, applications, or services within your environment is not supported.

Comment 4 Brandon Perkins 2010-05-14 22:17:01 UTC
Release Pending.  Checked on rlx-3-10.rhndev.redhat.com with:

rhn-i18n-guides-5.3.0.16-1.el5sat
rhn-i18n-release-notes-5.3.0.8-1.el5sat
satellite-branding-5.3.0.28-1.el5sat
satellite-doc-indexes-5.3.24-1.el5sat

Comment 5 errata-xmlrpc 2010-05-17 12:52:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0413.html


Note You need to log in before you can comment on or make changes to this bug.